VERSION 5.00
Begin VB.Form frmWinProp 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Window Properties"
   ClientHeight    =   3090
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6330
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "WIN Props.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3090
   ScaleWidth      =   6330
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer tmrShowProperies 
      Interval        =   200
      Left            =   5760
      Top             =   120
   End
   Begin VB.PictureBox picBanner 
      Align           =   1  'Align Top
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   615
      Left            =   0
      MouseIcon       =   "WIN Props.frx":27A2
      MousePointer    =   99  'Custom
      Picture         =   "WIN Props.frx":2BE4
      ScaleHeight     =   615
      ScaleWidth      =   6330
      TabIndex        =   2
      Top             =   0
      Width           =   6330
   End
   Begin VB.CheckBox chkShowWin 
      Caption         =   "Show Systray"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   4920
      TabIndex        =   1
      Top             =   1080
      Value           =   1  'Checked
      Width           =   1455
   End
   Begin VB.CheckBox chkOnTop 
      Caption         =   "Always on top"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   4920
      TabIndex        =   0
      Top             =   720
      Width           =   1335
   End
End
Attribute VB_Name = "frmWinProp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' Window Properties Dialog
'
' 30 September 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================


'------------------------------------------------------------------
' Variables

Private Mouse As New MouseIO


'------------------------------------------------------------------
' Restore

Private Sub Form_Unload(Cancel As Integer)
  chkShowWin.Value = vbChecked
End Sub


'------------------------------------------------------------------
' On Top and Systray visible?

Private Sub chkOnTop_Click()
  WindowAlwaysOnTop(Me.hWnd) = chkOnTop.Value
End Sub

Private Sub chkShowWin_Click()
  WindowVisible(WindowhWnd(, , , "Shell_TrayWnd")) = chkShowWin.Value
End Sub


'------------------------------------------------------------------
' Show some properties

Private Sub tmrShowProperies_Timer()
  Dim hWndOver As Long
  Dim hWndParent As Long
  Dim WinAbsPos As RECT
  Static OldhWndOver As Long
  
  hWndOver = WindowhWnd(Mouse.X, Mouse.Y)
  If hWndOver = OldhWndOver Then Exit Sub
  OldhWndOver = hWndOver
  
  Me.Cls
  Me.CurrentY = picBanner.Height + 50
  If hWndOver Then
    WinAbsPos = WindowRect(hWndOver, True)
    Me.Print "Window Handle:   " & hWndOver
    Me.Print "Window Caption:  " & WindowCaption(hWndOver)
    Me.Print "Window Class:    " & WindowClassName(hWndOver)
    Me.Print "Window Size:     (" & WinAbsPos.Left & "," & WinAbsPos.Top & ") (" & WinAbsPos.Right - WinAbsPos.Left & "," & WinAbsPos.Bottom - WinAbsPos.Top & ")"
    Me.Print "Window is Local: " & WindowIsLocal(hWndOver)
  Else
    Me.Print "Window Handle:   N/A"
    Me.Print "Window Caption:  N/A"
    Me.Print "Window Class:    N/A"
    Me.Print "Window Size:     N/A"
    Me.Print "Window is Local: N/A"
  End If
  Me.Print ""
  
  If hWndOver <> 0 Then hWndOver = WindowhWndParent(hWndOver)
  If hWndOver > 0 Then
    Me.Print "Parent Handle:   " & hWndOver
    Me.Print "Parent Caption:  " & WindowCaption(hWndOver)
    Me.Print "Parent Class:    " & WindowClassName(hWndOver)
    Me.Print "Parent Enabled:  " & WindowEnabled(hWndOver)
  Else
    Me.Print "Parent Handle:   N/A"
    Me.Print "Parent Caption:  N/A"
    Me.Print "Parent Class:    N/A"
    Me.Print "Parent Enabled:  N/A"
  End If
End Sub


'------------------------------------------------------------------
' Banner

Private Sub picBanner_Click()
  MsgBox "Copyright  2001 - Diederik van der Boor" & vbCrLf _
       & vbCrLf _
       & "Anyone is allowed to use this software freely, as long as" & vbCrLf _
       & "the the copright information in the source code remains intact." & vbCrLf _
       & vbCrLf _
       & "http://www.codingdomain.com"
End Sub


